package de.ivu.elect.presentation.menu;

import de.ivu.elect.jee.presentation.menu.MenuEntry;

import javax.enterprise.inject.Specializes;
import javax.inject.Inject;
import java.util.List;

@Specializes
public class NlMainServiceMenu extends MainServiceMenu {

  @Inject
  private transient NlHtmlHandbuchMainMenuEntry nlHtmlHandbuchMainMenuEntry;

  @Override
  public List<MenuEntry> getMenuEntriesSorted() {
    List<MenuEntry> menuEntriesSorted = super.getMenuEntriesSorted();

    menuEntriesSorted.add(menuEntriesSorted.indexOf(hilfeMainMenuEntry), nlHtmlHandbuchMainMenuEntry);
    menuEntriesSorted.remove(hilfeMainMenuEntry);

    return menuEntriesSorted;
  }
}
